<?php

declare(strict_types=1);

namespace App\Framework\Database\Attributes;

use Attribute;

#[Attribute(Attribute::TARGET_PROPERTY)]
final readonly class Type
{
    public function __construct(
        public string $targetClass,
        public ?string $foreignKey = null,
        public ?string $localKey = null,
        public string $type = 'hasMany'
    ) {
    }
}
